package com.fjhx.purchase.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("purchase")
public class Purchase extends BasePo {

    /**
     * 申购明细单ID
     */
    private Long subscribeDetailId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 申购人名称
     */
    private String purchaseName;

    /**
     * 申购时间
     */
    private Date purchaseTime;

    /**
     * 采购编码
     */
    private String code;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 采购说明
     */
    private String purchaseContent;

    /**
     * 采购状态 0草稿 10、审批中；20、驳回  30、通过
     */
    private Integer purchaseStatus;

    /**
     * 审核通过时间
     */
    private Date approvedDate;

    /**
     * 流程id
     */
    private String processInstanceId;

    private List<PurchaseDetail> purchaseDetailList;
}
